package dev.shadowsoffire.apotheosis.adventure.commands;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import com.mojang.brigadier.arguments.ArgumentType;
import com.mojang.brigadier.arguments.IntegerArgumentType;
import com.mojang.brigadier.builder.LiteralArgumentBuilder;
import com.mojang.brigadier.context.CommandContext;
import com.mojang.brigadier.exceptions.CommandSyntaxException;
import dev.shadowsoffire.apotheosis.adventure.loot.LootCategory;
import dev.shadowsoffire.apotheosis.adventure.socket.SocketHelper;
import net.minecraft.commands.CommandSourceStack;
import net.minecraft.commands.Commands;
import net.minecraft.network.chat.Component;
import net.minecraft.server.level.ServerPlayer;
import net.minecraft.world.item.ItemStack;

public class SocketCommand {
  public static void register(LiteralArgumentBuilder<CommandSourceStack> root) {
    root.then(((LiteralArgumentBuilder)Commands.m_82127_("set_sockets").requires(c -> c.m_6761_(2))).then(Commands.m_82129_("sockets", (ArgumentType)IntegerArgumentType.integer(0, 16)).executes(c -> {
              ServerPlayer serverPlayer = ((CommandSourceStack)c.getSource()).m_81375_();
              ItemStack stack = serverPlayer.m_21205_();
              LootCategory cat = LootCategory.forItem(stack);
              if (cat.isNone()) {
                ((CommandSourceStack)c.getSource()).m_81352_((Component)Component.m_237113_("The target item cannot receive sockets!"));
                return 1;
              } 
              int sockets = IntegerArgumentType.getInteger(c, "sockets");
              SocketHelper.setSockets(stack, sockets);
              return 0;
            })));
  }
}
